package cn.com.poc.knowledge.entity;

import javax.persistence.Column;

/**
 * Model class for biz_knowledge_train_log
 * 知识库训练日志
 */
public class BizKnowledgeTrainLogEntity {

    /**
     * id
     * 主键
     */
    private Integer id;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    /**
     * kd_id
     * biz_knowledge_document 主键ID
     */
    private Integer kdId;

    public Integer getKdId() {
        return this.kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }


    /**
     * timestamp
     * 时间
     */
    private Long timestamp;

    public Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }


    /**
     * train_status
     * 训练状态 SUCCESS-成功，FAIL-失败
     */
    private String trainStatus;

    @Column(name = "train_status", length = 100)
    public String getTrainStatus() {
        return this.trainStatus;
    }

    public void setTrainStatus(String trainStatus) {
        this.trainStatus = trainStatus;
    }


    /**
     * failure_log
     * 失败日志
     */
    private String failureLog;

    public String getFailureLog() {
        return this.failureLog;
    }

    public void setFailureLog(String failureLog) {
        this.failureLog = failureLog;
    }


    /**
     * is_deleted
     * 是否删除
     */
    private String isDeleted;

    public String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }


    /**
     * CREATOR
     * 创建人
     */
    private String creator;

    public String getCreator() {
        return this.creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }


    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }


    /**
     * MODIFIER
     * 修改人
     */
    private String modifier;

    public String getModifier() {
        return this.modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }


    /**
     * SYS_VERSION
     * 版本号
     */
    private Integer sysVersion;

    public Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(Integer sysVersion) {
        this.sysVersion = sysVersion;
    }


}